Skip to main content

public/get-trades

GET 

/public/get-trades

Fetches the public trades for a particular instrument. Time window can only be up to 7 days for maximum.

Request

Query Parameters

    instrument_name stringrequired

    e.g. BTCUSD-PERP

    count int32

    Default value: 25

    The maximum number of trades to be retrieved. Default: 25. Max: 150

    start_ts int64

    Start time in Unix time format (inclusive). Default: end_time - 1 day. Nanosecond recommended for accurate pagination

    end_ts int64

    End time in Unix time format (exclusive). Default: current system timestamp. Nanosecond recommended for accurate pagination

Success.
Schema
    id int64

    Echoed request id

    method string

    Method invoked

    code int32

    0 = success; non-zero indicates error (reason code).

    result object
    Present when code === 0. Trades (data array, instrument_name). Items are PublicTradeItem (core + tn).
    data object[]
  • Array [
  • d string

    Trade ID

    t int64

    Trade timestamp in milliseconds, e.g. "1771761038000".

    p decimal

    Trade price

    q decimal

    Trade quantity

    s OrderSide (string)

    Possible values: [BUY, SELL]

    BUY or SELL

    i string

    Instrument name e.g. BTCUSD-PERP

    m int64

    Trade match ID

    tn int64

    Trade timestamp in nanoseconds (REST only)

  • ]
  • message string

    Present when code !== 0.

    original string

    Present when code !== 0.